Package org.tmatesoft.svn.core.wc.xml

# Class AbstractXMLHandler

java.lang.Object
org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler

All Implemented Interfaces:
  `Locator`

Direct Known Subclasses:
  `SVNXMLAnnotateHandler`, `SVNXMLDirEntryHandler`, `SVNXMLInfoHandler`, `SVNXMLLogHandler`, `SVNXMLStatusHandler`

public abstract class AbstractXMLHandler extends Object implements Locator
AbstractXMLLogger is a basic XML formatter for all XML handler classes which are provided in this package. All XML output is written to a specified ContentHandler.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractXMLHandler(ContentHandler contentHandler, org.tmatesoft.svn.util.ISVNDebugLog log)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addAttribute(String name, String value)`
`protected void`
`addTag(String tagName, String value)`
`protected void`
`closeTag(String name)`
`void`
`endDocument()`
Stops logging.
`int`
`getColumnNumber()`
`protected org.tmatesoft.svn.util.ISVNDebugLog`
`getDebugLog()`
`protected abstract String`
`getHeaderName()`
`int`
`getLineNumber()`
`String`
`getPublicId()`
`String`
`getSystemId()`
`protected void`
`openTag(String name)`
`void`
`startDocument()`
Starts logging.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractXMLHandler

protected AbstractXMLHandler(ContentHandler contentHandler, org.tmatesoft.svn.util.ISVNDebugLog log)

## Method Details

### getDebugLog

protected org.tmatesoft.svn.util.ISVNDebugLog getDebugLog()

### startDocument

public void startDocument()
Starts logging.

### endDocument

public void endDocument()
Stops logging.

### getHeaderName

protected abstract String getHeaderName()

### openTag

protected void openTag(String name) throws SAXException

Throws:
  `SAXException`

### closeTag

protected void closeTag(String name) throws SAXException

Throws:
  `SAXException`

### addTag

protected void addTag(String tagName, String value) throws SAXException

Throws:
  `SAXException`

### addAttribute

protected void addAttribute(String name, String value)

### getColumnNumber

public int getColumnNumber()

Specified by:
  `getColumnNumber` in interface `Locator`
Returns:
  `0`

### getLineNumber

public int getLineNumber()

Specified by:
  `getLineNumber` in interface `Locator`
Returns:
  `0`

### getPublicId

public String getPublicId()

Specified by:
  `getPublicId` in interface `Locator`
Returns:
  null

### getSystemId

public String getSystemId()

Specified by:
  `getSystemId` in interface `Locator`
Returns:
  null